VectorTypeID (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.meta
Class VectorTypeID

    java.lang.Object
      org.apache.hadoop.record.meta.TypeID
          org.apache.hadoop.record.meta.VectorTypeID

    public class VectorTypeID

extends TypeID

Represents typeID for vector.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.record.meta.TypeID
`TypeID.RIOType`

Field Summary

Fields inherited from class org.apache.hadoop.record.meta.TypeID
`BoolTypeID, BufferTypeID, ByteTypeID, DoubleTypeID, FloatTypeID, IntTypeID, LongTypeID, StringTypeID, typeVal`

Constructor Summary
`VectorTypeID(TypeID typeIDElement)`

Method Summary
`boolean` | `equals(Object o)` Two vector typeIDs are equal if their constituent elements have the same type
`TypeID` | `getElementTypeID()`
`int` | `hashCode()` We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

Methods inherited from class org.apache.hadoop.record.meta.TypeID
`getTypeVal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorTypeID

    public VectorTypeID(TypeID typeIDElement)

Method Detail

### getElementTypeID

    public TypeID getElementTypeID()

### equals

    public boolean equals(Object o)

  Two vector typeIDs are equal if their constituent elements have the same type

  Overrides:
    `equals` in class `TypeID`

### hashCode

    public int hashCode()

  We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

  Overrides:
    `hashCode` in class `TypeID`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation